# GET /api/v1/org/{orgId}/members

**List Members**

## List Members

List this organization's members.

Returns a paginated list of StackHawk Users.

### User

A StackHawk User as identified by the platform.

| Parameter | Default | Description |
|:---:|:---:|:---:|
|stackhawkId|""|An internal identifier for this user. _This is not the user uuid_.|
|provider|{}|Information about the login provider assigned to this user. [Read More](#providerinfo)|
|external|{}|Information about the user itself, and how they appear in the platform. [Read More](#userexternal)|
|createdTimestamp|0|Creation timestamp of this user.|

### UserOrganization

Represents the relationship between a User and an Organization they belong to.

| Parameter | Default | Description |
|:---:|:---:|:---:|
|organization|{}|The StackHawk organization this user belongs to.|
|role|"UNKNOWN"|The organization role the user belongs to within this organization.|
|features|[]|Specific access features available to this organization.|
|metadata|[]|The user's organizational specific metadata.|
|achievements|[]|Specific product journey events that have triggered for this user.|
|permissions|[]|Permissions the User has in this organization.|

| Parameter | Description |
|:---:|:---:|
|UNKNOWN|null|
|OWNER|null|
|ADMIN|null|
|MEMBER|null|
|TEAM_ADMIN|null|
|VIEW_ONLY|null|
|SCAN_ONLY_SERVICE_ACCOUNT|null|

### Organization

A StackHawk Organization.

| Parameter | Default | Description |
|:---:|:---:|:---:|
|id|""|The UUID identifier of this StackHawk Organization.|
|name|""|The name of this Organization.|
|subscription|{}|The billing subscription of this Organization.|
|isLinkedToExternalBilling|false|If this organization is yet connected to external billing (Stripe).|
|plan|""|The feature plan this organization belongs to.|
|features|[]|Specific overrides to the feature flags in the plan.|
|settings|{}|Organization settings.|
|createdTimestamp|0|Creation timestamp of this organization.|

A StackHawk platform user can belong to many organizations.

> Requires `read:member` permission.

## Parameters

- `orgId` (in: path, string<uuid>) *(required)* — UUID identifier for this StackHawk Organization.
- `pageSize` (in: query, integer<int32>) — Pagination response size limit.
- `pageToken` (in: query, integer<int32>) — Pagination request page increment.
- `sortField` (in: query, string) — Resource field to sort paginated response by.
- `sortDir` (in: query, string) — Paginated results are sorted 'asc' or 'desc'.
- `pattern` (in: query, string) — Filter users by name or email (case-insensitive search).
- `roles` (in: query, string[]) — Filter users by organization roles (comma-separated list of OWNER, ADMIN, MEMBER).

## Responses

### 200 — A paginated response of StackHawk Users.

#### application/json

- `nextPageToken` (string) — An integer representing the next page of results to query for.
- `totalCount` (integer<int64>) — Total number of results to paginate through.
- `users` (user.User[]) — A list of users.
  - `createdTimestamp` (integer<int64>) — Creation timestamp of this user.
  - `external` (user.UserExternal)
    - `applicationIds` (string[]) — An array of application ids this user has access to.
    - `avatarUrl` (string) — Users avatar url.
    - `email` (string) — Users email address.
    - `firstName` (string) — Users first name.
    - `fullName` (string) — Users full name.
    - `id` (string) — The UUID identifier of this user.
    - `lastName` (string) — Users last name.
    - `metadata` (user.UserMetadata[]) — Metadata associated to this external user. Primarily used for stuffing 3rd party verification data.
      - `name` (string) — Metadata name.
      - `value` (string) — Metadata value.
    - `organizations` (user.UserOrganization[]) — Organizations a user is a part of.
      - `achievements` (user.UserAchievement[]) — Specific product journey events that have triggered for this user.
        - `achievement` (string) — Achievement event. One of a few defined events that can happen.
        - `timestamp` (integer<int64>) — Achievement timestamp.
      - `features` (feature.Feature[]) — Specific access features available to this organization.
        - `enabled` (boolean) — If the feature is enabled.
        - `name` (string) — The name of the feature.
      - `metadata` (user.UserMetadata[]) — The user's organizational specific metadata.
        - `name` (string) — Metadata name.
        - `value` (string) — Metadata value.
      - `organization` (organization.Organization)
        - `createdTimestamp` (integer<int64>) — Creation timestamp of this organization.
        - `features` (feature.Feature[]) — Specific overrides to the feature flags in the plan.
        - `id` (string) — The UUID identifier of this StackHawk Organization.
        - `isLinkedToExternalBilling` (boolean) — If this organization is yet connected to external billing (Stripe).
        - `name` (string) — The name of this Organization.
        - `plan` (string) — The feature plan this organization belongs to.
        - `settings` (organization.OrgSettings)
        - `subscription` (organization.Subscription)
      - `permissions` (string[]) — Permissions the User has in this organization.
      - `role` (string) — The organization role the user belongs to within this organization.
    - `preferences` (user.UserPreferences)
      - `defaultOrganizationId` (string) — The UUID identifier of the organization a user currently logs into.
      - `dontReceiveTrialingEmails` (boolean) — If `true`, the user will be opted out of stackhawk subscription-trialing notifications.
      - `dontReceiveUpdatesEmail` (boolean) — UNUSED. (currently unused) if `true`, the user will be opted out of Company Update emails.
      - `dontReceiveWeeklyEmail` (boolean) — If the user will be opted out of weekly organization update emails.
      - `pinnedApplicationIds` (string[]) — UUIDs of applications the user has pinned to the top of the application list.
    - `teams` (user.UserTeam[]) — Teams this user belongs to.
      - `id` (string) — The UUID identifier of the team.
      - `name` (string) — The name of the team.
      - `organizationId` (string) — The organization ID this team belongs to.
  - `organizationIds` (string[]) — OrganizationIds **deprecated** - 4/26/22.
  - `provider` (user.ProviderInfo)
    - `clientId` (string) — Provider client Id.
    - `created` (integer<int64>) — Milliseconds since epoch timestamp of when the user access was granted.
    - `slug` (string) — User access provider.
  - `stackhawkId` (string) — An internal identifier for this user. _This is not the user uuid_.

#### application/x-protobuf

- `nextPageToken` (string) — An integer representing the next page of results to query for.
- `totalCount` (integer<int64>) — Total number of results to paginate through.
- `users` (user.User[]) — A list of users.
  - `createdTimestamp` (integer<int64>) — Creation timestamp of this user.
  - `external` (user.UserExternal)
    - `applicationIds` (string[]) — An array of application ids this user has access to.
    - `avatarUrl` (string) — Users avatar url.
    - `email` (string) — Users email address.
    - `firstName` (string) — Users first name.
    - `fullName` (string) — Users full name.
    - `id` (string) — The UUID identifier of this user.
    - `lastName` (string) — Users last name.
    - `metadata` (user.UserMetadata[]) — Metadata associated to this external user. Primarily used for stuffing 3rd party verification data.
      - `name` (string) — Metadata name.
      - `value` (string) — Metadata value.
    - `organizations` (user.UserOrganization[]) — Organizations a user is a part of.
      - `achievements` (user.UserAchievement[]) — Specific product journey events that have triggered for this user.
        - `achievement` (string) — Achievement event. One of a few defined events that can happen.
        - `timestamp` (integer<int64>) — Achievement timestamp.
      - `features` (feature.Feature[]) — Specific access features available to this organization.
        - `enabled` (boolean) — If the feature is enabled.
        - `name` (string) — The name of the feature.
      - `metadata` (user.UserMetadata[]) — The user's organizational specific metadata.
        - `name` (string) — Metadata name.
        - `value` (string) — Metadata value.
      - `organization` (organization.Organization)
        - `createdTimestamp` (integer<int64>) — Creation timestamp of this organization.
        - `features` (feature.Feature[]) — Specific overrides to the feature flags in the plan.
        - `id` (string) — The UUID identifier of this StackHawk Organization.
        - `isLinkedToExternalBilling` (boolean) — If this organization is yet connected to external billing (Stripe).
        - `name` (string) — The name of this Organization.
        - `plan` (string) — The feature plan this organization belongs to.
        - `settings` (organization.OrgSettings)
        - `subscription` (organization.Subscription)
      - `permissions` (string[]) — Permissions the User has in this organization.
      - `role` (string) — The organization role the user belongs to within this organization.
    - `preferences` (user.UserPreferences)
      - `defaultOrganizationId` (string) — The UUID identifier of the organization a user currently logs into.
      - `dontReceiveTrialingEmails` (boolean) — If `true`, the user will be opted out of stackhawk subscription-trialing notifications.
      - `dontReceiveUpdatesEmail` (boolean) — UNUSED. (currently unused) if `true`, the user will be opted out of Company Update emails.
      - `dontReceiveWeeklyEmail` (boolean) — If the user will be opted out of weekly organization update emails.
      - `pinnedApplicationIds` (string[]) — UUIDs of applications the user has pinned to the top of the application list.
    - `teams` (user.UserTeam[]) — Teams this user belongs to.
      - `id` (string) — The UUID identifier of the team.
      - `name` (string) — The name of the team.
      - `organizationId` (string) — The organization ID this team belongs to.
  - `organizationIds` (string[]) — OrganizationIds **deprecated** - 4/26/22.
  - `provider` (user.ProviderInfo)
    - `clientId` (string) — Provider client Id.
    - `created` (integer<int64>) — Milliseconds since epoch timestamp of when the user access was granted.
    - `slug` (string) — User access provider.
  - `stackhawkId` (string) — An internal identifier for this user. _This is not the user uuid_.

### 401 — Unauthorized

- (no body)
